function SelectRandom()

end;

function gameinput (sender,obj_id,attachedID)
  MiniInterfaceHandler(sender, obj_id);
  sendersProcessing(sender, obj_id, attachedID);
  if sender==30 then
    if flags.yama then
      speciale_action(2,2)
      neighbors.VhodKBratamHidden.lock = false;
    end;
    if flags.vskop and not flags.vskopM then
      flags.vskopM=true
      NewObj("yama_20_0","BigTexture162",498,536,"",0,0,81,0,526,155);
      speciale_action(4,obj.yama_20_0.id)
    speciale_action(4,2)
    --  speciale_action(10,obj.yama_20_0.id)
    end;
  return;end;
  if sender==16 then
    if obj_id==16 then
      speciale_action(2,obj_id,true,1.9)
      speciale_action(2,obj.vskop_20_11.id,true,2)
      speciale_action(2,obj.yama_20_11.id,true,2)
      --speciale_action(2,obj.lopata_20_11.id,true)    
            speciale_action(2,obj.hawk_coin_20_11.id,true,2)      
      setCursor(obj.hawk_coin_20_11.id,4)
      flags.vskop=true  
      Block_Show_Cur(false)        
    end;
    if obj_id>=10 and obj_id<=15 then
      playeffect("lopata")
      speciale_action(2,obj_id,true,1.9)
      speciale_action(2,obj_id+1,true,2)
    end;
    
    -- if obj_id==obj.lopata_20_11.id then
      -- speciale_action(2,obj.vskop_20_11.id,true)
      -- speciale_action(2,obj.yama_20_11.id,true)
      -- speciale_action(2,obj.lopata_20_11.id,true)    
            -- speciale_action(2,obj.hawk_coin_20_11.id,true)      
      -- setCursor(obj.hawk_coin_20_11.id,4)
      -- flags.vskop=true  
      -- Block_Show_Cur(false)      
    -- end;
  return;end;
  
  if sender==1 then
    if obj_id==obj.hawk_coin_20_11.id then
      flags.yama=true
      StoreObj(obj.hawk_coin_20_11.id)
    end;
    if obj_id==1 then

      if obj.lopata_13_1~=nil and attachedID==obj.lopata_13_1.id then
        removeFromMouse()
        UnStoreObj(obj.lopata_13_1.id)  
      --  playeffect("lopata")
        speciale_action(2,10,true)
        setCursor(1,3)
        speciale_action(2,1)  
        Block_Show_Cur(true)  
      return;end;
      if (obj.lopata_13_1==nil or (obj.lopata_13_1~=nil and attachedID~=obj.lopata_13_1.id) )and attachedID~=-1 then
        CreatePlashechka("10000")
      return;end;  
      if   attachedID==-1 then
        CreatePlashechka("476")
      return;end;    
    return;end;    
  end
  if sender == 26 then
  --  CloseSatelite()
  end      
end

function SheetSwitched(nCount)
end;
